Page MenuHomeFreeBSD

Update leinigen to 2.5.1.
ClosedPublic

Authored by rpaulo on Feb 4 2015, 7:27 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 17, 12:59 PM
Unknown Object (File)
Wed, Jun 5, 9:44 AM
Unknown Object (File)
Wed, Jun 5, 9:44 AM
Unknown Object (File)
Wed, Jun 5, 9:43 AM
Unknown Object (File)
Wed, Jun 5, 9:30 AM
Unknown Object (File)
May 23 2024, 12:20 PM
Unknown Object (File)
Apr 20 2024, 1:38 PM
Unknown Object (File)
Mar 16 2024, 11:26 PM
Subscribers
None

Details

Summary

Update leinigen to 2.5.1. The .jar file is now a .zip file but they
are the same thing, so we just install it as a .jar file.

Changelog:
No longer skip certificate checking when upgrading on Windows. (Phil
Hagelberg)
Fix password prompt for Cygwin users. (Carsten Behring)
Fix a bug where lein pom did not add the project's SCM URL to
pom.xml. (Fredrick Giasson)
lein clean now cleans up all profile targets. (Jeb Beich, Jim
Crossley)
The order included profiles are merged in is now retained. (Jim
Crossley)
Fix a bug preventing update-in to use functions not yet
required. (Phil Hagelberg)
Allow multiple :repl profiles. (Hugo Duncan)
Fix an infinite recursion bug with aliases and with-profile. (Hugo
Duncan)
Add flexibility in jar manifest declarations. (Fabio Tudone)
Fix a bug preventing extra profiles from being included in jars. (Hugo
Duncan)
Fix a bug in self-install on Windows. (Sindunata Sudarmaji)

Test Plan

> Staging for leiningen-2.5.1

> leiningen-2.5.1 depends on executable: bash - found

> leiningen-2.5.1 depends on file: /usr/local/openjdk7/bin/java -

found

> Generating temporary packing list

install -m 555
/home/rpaulo/freebsd-ports/head/devel/leiningen/work/technomancy-leiningen-7228d5a/bin/lein-pkg
/home/rpaulo/freebsd-ports/head/devel/leiningen/work/stage/usr/local/bin/lein
install -m 0644 /usr/ports/distfiles/leiningen-2.5.1-standalone.zip
/home/rpaulo/freebsd-ports/head/devel/leiningen/work/stage/usr/local/share/java/classes/leiningen.jar

> Compressing man pages (compress-man)

> Installing for leiningen-2.5.1

> leiningen-2.5.1 depends on executable: bash - found

> leiningen-2.5.1 depends on file: /usr/local/openjdk7/bin/java -

found

> Registering installation for leiningen-2.5.1

Installing leiningen-2.5.1...

If you want to use the ``lein exec'' command to run Clojure scripts,
please add the following to ~/.lein/profiles.clj:

{ :user
{ :plugins lein-exec "0.3.4"}

% lein version
Leiningen 2.5.1 on Java 1.7.0_71 OpenJDK 64-Bit Server VM

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage

Event Timeline

rpaulo retitled this revision from to Update leinigen to 2.5.1..
rpaulo updated this object.
rpaulo edited the test plan for this revision. (Show Details)
rpaulo added reviewers: swills, bapt.
bapt edited edge metadata.
This revision is now accepted and ready to land.Feb 4 2015, 9:08 AM
rpaulo updated this revision to Diff 3639.

Closed by commit rP378420 (authored by @rpaulo).